[med-svn] [Git][med-team/soapsnp][master] Add autopkgtest
Achu Luma (@luma)
gitlab at salsa.debian.org
Mon Oct 16 18:17:52 BST 2023
Achu Luma pushed to branch master at Debian Med / soapsnp
Commits:
58c009e0 by Achu Luma at 2023-10-16T18:17:21+01:00
Add autopkgtest
Signed-off-by: Achu Luma <ach.lumap at gmail.com>
- - - - -
3 changed files:
- debian/changelog
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+soapsnp (1.03-6) UNRELEASED; urgency=medium
+
+ * Team upload.
+ * Add autopkgtest
+
+ -- Achu Luma <ach.lumap at gmail.com> Mon, 16 Oct 2023 18:16:28 +0100
+
soapsnp (1.03-5) unstable; urgency=medium
* Team upload.
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -e
+
+pkg=soapsnp
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ # Double quote below to expand the temporary directory variable now versus
+ # later is on purpose.
+ # shellcheck disable=SC2064
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+
+echo -e "\e[93m\e[1mTest 1\e[0m"
+soapsnp -h
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
View it on GitLab: https://salsa.debian.org/med-team/soapsnp/-/commit/58c009e026a73ba0e5d3192d24cdd1c0f111c0fc
--
View it on GitLab: https://salsa.debian.org/med-team/soapsnp/-/commit/58c009e026a73ba0e5d3192d24cdd1c0f111c0fc
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231016/bc543680/attachment-0001.htm>
More information about the debian-med-commit
mailing list